[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TRadioButton.CreateParams

Initializes the creation parameters for the class instance.

## Declaration

Source position: stdctrls.pp line 1498

`protected procedure TRadioButton.CreateParams(`
`var Params: TCreateParams`
`); override;`

## Arguments

`Params` |  | Creation parameters updated in the method.

## Description

CreateParams is an overridden method used to update creation parameters for the class instance, and calls the inherited method on entry. CreateParams ensures that Style flags in the Params argument are updated to include the BS_RADIOBUTTON style flag, and to exclude the BS_3STATE style flag.

## See also

TCustomCheckBox.CreateParams |  | Initializes the window creation parameter record with the settings for the control.